module AccountsManagement
  class Documents::ContractLineItemRate < ActiveRecord::Base
    belongs_to :contract_line_item, class_name: 'AccountsManagement::Documents::ContractLineItem'
    belongs_to :currency, class_name: 'CoreModels::Base::Currency'
    belongs_to :recurring_fee_interval_unit, class_name: 'CoreModels::Base::Timespan', optional: true
    belongs_to :billing_interval_unit, class_name: 'CoreModels::Base::Timespan', optional: true

    #---------------------------------------------------------------------------

    # attr_accessible :description
    # attr_accessible :fixed_price
    # attr_accessible :recurring_fee, :recurring_fee_ical_expression, :recurring_fee_interval_count
    # attr_accessible :recurring_fee_interval_unit, :recurring_fee_interval_unit_id
    # attr_accessible :billing_interval_count, :billing_interval_ical_expression
    # attr_accessible :billing_interval_unit, :billing_interval_unit_id
    # attr_accessible :is_active
    # attr_accessible :note

    # attr_accessible :contract_line_item, :contract_line_item_id
    # attr_accessible :currency, :currency_id

    #---------------------------------------------------------------------------

    validates :contract_line_item, presence: true
    validates :currency, presence: true

    #---------------------------------------------------------------------------

    def to_s
      "#{currency}"
    end

    #---------------------------------------------------------------------------
  end
end
