class CreateAccountsManagementDocumentsOrderStatuses < ActiveRecord::Migration[4.2]
  def self.up
    create_table :accounts_management_documents_order_statuses do |t|
      t.references :language, null: false
      t.string :name, null: false
      # t.timestamps
    end

    add_index :accounts_management_documents_order_statuses, [:id, :language_id],
              name: :index_on_order_statuses_on_id_language_id
    add_index :accounts_management_documents_order_statuses, [:name], name: :index_on_order_statuses_on_name
  end

  def self.down
    drop_table :order_statuses
  end
end
