class CreateAccountsManagementDocumentsOrderStatusHistories < ActiveRecord::Migration[4.2]
  def self.up
    create_table :accounts_management_documents_order_status_histories do |t|
      t.references :order, null: false
      t.references :order_status, null: false
      t.boolean    :customer_notified, default: false
      t.text       :comments

      t.timestamps
    end
  end

  def self.down
    drop_table :order_status_histories
  end
end
