if Gem.loaded_specs.key?('asset_management')

  Rails.application.config.to_prepare do
    # Code extensions
    module AssetManagement
      VirtualFolder.class_eval do
      end

      AssetData.class_eval do
        has_one :contract_attachment, foreign_key: :attachment_id, class_name: 'AccountsManagement::Documents::ContractAttachment'
        has_one :contract, through: :contract_attachment, class_name: 'AccountsManagement::Documents::Contract'
      end
    end

    # Initialisation
  end

end
