class CreateAccountsManagementLedgersMasterData < ActiveRecord::Migration[4.2]
  def change
    create_table :accounts_management_ledgers_master_data do |t|
      t.references :account
      t.date       :accounting_year_end
      t.date       :tax_year_end

      t.timestamps null: false
    end

    add_index :accounts_management_ledgers_master_data, :account_id
  end
end
