class CreateAccountsManagementDocumentsContractAttachments < ActiveRecord::Migration[4.2]
  def change
    create_table :accounts_management_documents_contract_attachments do |t|
      t.belongs_to :contract
      t.belongs_to :attachment
    end

    add_index :accounts_management_documents_contract_attachments, [:contract_id, :attachment_id],
              name: :contract_attachments_index, unique: true
  end
end
