class CreateAccountsManagementDocumentsOrderLineItemAttributes < ActiveRecord::Migration[4.2]
  def self.up
    create_table :accounts_management_documents_order_line_item_attributes do |t|
      t.references :order_line_item, null: false
      t.references :order, null: false
      t.references :product, null: false
      t.references :product_option, null: false
      t.string     :product_option, null: false
      t.integer    :product_option_value_id, null: false
      t.string     :product_option_value, null: false
      t.decimal    :product_option_value_price, null: false, precision: 20, scale: 2
      t.string     :price_prefix
      t.string     :price_suffix
      t.boolean    :is_free, null: false
      t.float      :weight
      t.string     :weight_prefix
      t.string     :weight_suffix

      t.timestamps
    end
  end

  def self.down
    drop_table :order_line_item_attributes
  end
end
