require_dependency "accounts_management/accounts_management_controller"

class PrometheusController < ApplicationController
  include Prometheus::Controller

  # A gauge is a metric that represents a single numerical value that can arbitrarily go up and down.
  def test_gauge
    GAUGE_EXAMPLE.set(rand(0..100), labels: { route: :gauge })

    respond_to do |r|
      r.any do
        render json: { message: "Success" }, status: :ok
      end
    end
  end
end
